%define upstream_name       Perl-Critic
%define upstream_version 1.138

%global __requires_exclude perl\\((charnames|Perl6::Say)\\)
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Critique Perl source for style and standards
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Keywords) >= 1.50.0
BuildRequires: perl(Carp)
BuildRequires: perl(Config::Tiny) >= 2.0.0
BuildRequires: perl(English)
BuildRequires: perl(Exception::Class) >= 1.230.0
BuildRequires: perl(Exporter) >= 5.630.0
BuildRequires: perl(Fatal)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Unix)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::String)
BuildRequires: perl(IPC::Open2) >= 1.0.0
BuildRequires: perl(List::MoreUtils) >= 0.190.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.420.400
BuildRequires: perl(Module::Pluggable) >= 3.100.0
BuildRequires: perl(PPI) >= 1.265.0
BuildRequires: perl(PPI::Document) >= 1.265.0
BuildRequires: perl(PPI::Document::File) >= 1.265.0
BuildRequires: perl(PPI::Node) >= 1.265.0
BuildRequires: perl(PPI::Token::Quote::Single) >= 1.265.0
BuildRequires: perl(PPI::Token::Whitespace) >= 1.265.0
BuildRequires: perl(PPIx::QuoteLike)
BuildRequires: perl(PPIx::Regexp) >= 0.27.0
BuildRequires: perl(PPIx::Regexp::Util) >= 0.68.0
BuildRequires: perl(PPIx::Utilities::Node) >= 1.1.0
BuildRequires: perl(PPIx::Utilities::Statement) >= 1.1.0
BuildRequires: perl(Perl::Tidy)
BuildRequires: perl(Pod::Parser)
BuildRequires: perl(Pod::PlainText)
BuildRequires: perl(Pod::Select)
BuildRequires: perl(Pod::Spell) >= 1.0.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Readonly) >= 2.0.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::Format) >= 1.180.0
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Term::ANSIColor) >= 2.20.0
BuildRequires: perl(Test::Builder) >= 0.920.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::ParseWords) >= 3.0.0
BuildRequires: perl(base)
BuildRequires: perl(charnames)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(version) >= 0.770.0
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl(Module::Pluggable)
%description
Perl::Critic is an extensible framework for creating and applying coding
standards to Perl source code. Essentially, it is a static source code analysis
engine. Perl::Critic is distributed with a number of Perl::Critic::Policy
modules that attempt to enforce various coding guidelines. Most Policies are
based on Damian Conway's book Perl Best Practices. You can choose and customize
those Polices through the Perl::Critic interface. You can also create new
Policy modules that suit your own tastes.

For a convenient command-line interface to Perl::Critic, see the documentation
for perlcritic. If you want to integrate Perl::Critic with your build process,
Test::Perl::Critic provides a nice interface that is suitable for test scripts.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Perl
%{perl_vendorlib}/Test
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Wed Feb 19 2020 umeabot <umeabot> 1.138.0-2.mga8
+ Revision: 1544301
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 tv <tv> 1.138.0-1.mga8
+ Revision: 1482767
- update to 1.38

* Thu Nov 28 2019 tv <tv> 1.136.0-1.mga8
+ Revision: 1463277
- update to 1.136

* Sat Jun 29 2019 tv <tv> 1.134.0-1.mga8
+ Revision: 1416093
- update to 1.134

* Thu Sep 20 2018 umeabot <umeabot> 1.132.0-2.mga7
+ Revision: 1285710
- Mageia 7 Mass Rebuild

* Fri Jun 01 2018 tv <tv> 1.132.0-1.mga7
+ Revision: 1233486
- update to 1.132

* Fri Jul 28 2017 shlomif <shlomif> 1.130.0-1.mga7
+ Revision: 1132220
- New version 1.130

* Sun Jun 19 2016 pterjan <pterjan> 1.126.0-3.mga6
+ Revision: 1031960
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.126.0-2.mga6
+ Revision: 969189
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 1.126.0-1.mga6
+ Revision: 864427
- update to 1.126

* Tue Jun 30 2015 sander85 <sander85> 1.125.0-1.mga6
+ Revision: 848662
- update to 1.125

* Wed Oct 15 2014 umeabot <umeabot> 1.122.0-4.mga5
+ Revision: 739178
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.122.0-3.mga5
+ Revision: 733704
- add excludes
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.122.0-2.mga5
+ Revision: 685923
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Wed Aug 27 2014 sander85 <sander85> 1.122.0-1.mga5
+ Revision: 668726
- update to 1.122

* Mon Feb 10 2014 sander85 <sander85> 1.121.0-1.mga5
+ Revision: 588182
- update to 1.121

* Mon Oct 21 2013 umeabot <umeabot> 1.119.0-2.mga4
+ Revision: 537798
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 1.119.0-1.mga4
+ Revision: 487760
- update to 1.119

* Sun Jan 13 2013 umeabot <umeabot> 1.118.0-2.mga3
+ Revision: 371651
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 12 2012 jquelin <jquelin> 1.118.0-1.mga3
+ Revision: 270335
- update to 1.118

* Thu Jan 05 2012 jquelin <jquelin> 1.117.0-1.mga2
+ Revision: 191337
- update to 1.117

* Wed Jun 15 2011 jquelin <jquelin> 1.116.0-1.mga2
+ Revision: 107322
- update to 1.116

* Sun Apr 03 2011 jquelin <jquelin> 1.115.0-1.mga1
+ Revision: 80151
- update to 1.115

* Mon Mar 28 2011 jquelin <jquelin> 1.114.0-1.mga1
+ Revision: 78383
- update to 1.114

* Thu Feb 17 2011 jquelin <jquelin> 1.113.0-1.mga1
+ Revision: 53220
- update to 1.113

* Mon Jan 24 2011 jquelin <jquelin> 1.111.0-2.mga1
+ Revision: 37278
- rebuild
- adding a requires exception

* Mon Jan 24 2011 jquelin <jquelin> 1.111.0-1.mga1
+ Revision: 36497
- mageia rebuild
- imported package perl-Perl-Critic


* Sat Dec 18 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.111.0-1mdv2011.0
+ Revision: 622884
- update to new version 1.111

* Thu Sep 02 2010 Jérôme Quelin <jquelin@mandriva.org> 1.109.0-1mdv2011.0
+ Revision: 575401
- update to 1.109

* Wed Jul 14 2010 Jérôme Quelin <jquelin@mandriva.org> 1.108.0-1mdv2011.0
+ Revision: 553045
- adding missing buildrequires:
- update to 1.108

* Wed Sep 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.105.0-1mdv2010.0
+ Revision: 434674
- new version

* Mon Aug 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.104.0-1mdv2010.0
+ Revision: 420280
- update to new version 1.104

* Sun Aug 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.103.0-1mdv2010.0
+ Revision: 419923
- update to new version 1.103

* Sun Jul 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.100.0-1mdv2010.0
+ Revision: 397434
- new version
- use %%perl_convert_version macro

* Sun Mar 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.098-1mdv2009.1
+ Revision: 352916
- update to new version 1.098

* Tue Feb 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.096-1mdv2009.1
+ Revision: 336811
- update to new version 1.096

* Fri Sep 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.092-1mdv2009.0
+ Revision: 281116
- update to new version 1.092

* Wed Jul 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.090-1mdv2009.0
+ Revision: 242074
- update to new version 1.090

* Sat Jul 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.088-1mdv2009.0
+ Revision: 232000
- update to new version 1.088

* Mon Jun 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.087-1mdv2009.0
+ Revision: 227974
- update to new version 1.087

* Fri Jun 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.086-1mdv2009.0
+ Revision: 218744
- update to new version 1.086

* Mon Jun 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.085-1mdv2009.0
+ Revision: 217101
- update to new version 1.085

* Wed May 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.084-1mdv2009.0
+ Revision: 212226
- update to new version 1.084

* Sun Mar 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.082-1mdv2008.1
+ Revision: 183106
- update to new version 1.082

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.080-1mdv2008.1
+ Revision: 109520
- update to new version 1.080

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.078-1mdv2008.1
+ Revision: 97559
- update to new version 1.078

* Thu Sep 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.074-1mdv2008.0
+ Revision: 81160
- update to new version 1.074

* Wed Sep 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.073-1mdv2008.0
+ Revision: 79774
- update to new version 1.073

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.071-1mdv2008.0
+ Revision: 75282
- update to new version 1.071

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.061-1mdv2008.0
+ Revision: 55821
- update to new version 1.061

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-1mdv2008.0
+ Revision: 47720
- update to new version 1.06


* Wed Feb 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2007.0
+ Revision: 120839
- new version

* Tue Feb 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2007.1
+ Revision: 120321
- new version

* Tue Dec 19 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2007.1
+ Revision: 100257
- new version

* Thu Nov 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.21-1mdv2007.1
+ Revision: 84621
- new version
- Import perl-Perl-Critic

* Sat Aug 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdv2007.0
- New version 0.19
- higher version needed for PPI

* Tue Aug 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-2mdv2007.0
- requires perl(Module::Pluggable)

* Tue Aug 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2007.0
- New version 0.18

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.17-1mdv2007.0
- New version 0.17

* Wed May 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdk
- New release 0.16

* Tue Apr 18 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-2mdk
- better buildrequires syntax
- better source URL
- buildrequires fix

* Thu Mar 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdk
- New release 0.15

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-2mdk
- fix buildrequires

* Thu Feb 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdk
- New release 0.14

* Tue Dec 20 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.13-3mdk
- Add BuildRequires perl-IO-String

* Thu Dec 15 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-2mdk
- buildrequires perl-Config-Tiny

* Thu Nov 24 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdk
- first mdk release

